gdcm::Dicts Class Reference

Class to manipulate the sum of knowledge (all the dict user load). More...

`#include <gdcmDicts.h>`

## Public Member Functions

| Dicts ()
| Dicts (const Dicts &_val)=delete
| ~Dicts ()
const CSAHeaderDict & | GetCSAHeaderDict () const
const DictEntry & | GetDictEntry (const PrivateTag &tag) const
const DictEntry & | GetDictEntry (const Tag &tag, const char *owner=nullptr) const
| THREAD SAFE.
PrivateDict & | GetPrivateDict ()
const PrivateDict & | GetPrivateDict () const
const Dict & | GetPublicDict () const
bool | IsEmpty () const
Dicts & | operator= (const Dicts &_val)=delete

## Protected Types

enum | ConstructorType { PHILIPS , GEMS , SIEMENS }

## Protected Member Functions

void | LoadDefaults ()

## Static Protected Member Functions

static const char * | GetConstructorString (ConstructorType type)

## Friends

class | Global
std::ostream & | operator<< (std::ostream &_os, const Dicts &d)

## Detailed Description

Class to manipulate the sum of knowledge (all the dict user load).

Note
  bla

Examples
  GenAllVR.cxx, GenFakeIdentifyFile.cxx, PublicDict.cxx, ReadAndPrintAttributes.cxx, and TraverseModules.cxx.

## Member Enumeration Documentation

## ConstructorType

enum gdcm::Dicts::ConstructorType

protected

Enumerator
PHILIPS |
GEMS |
SIEMENS |

## Constructor & Destructor Documentation

## Dicts() [1/2]

gdcm::Dicts::Dicts | ( |  | ) |

Referenced by Dicts(), operator<<, and operator=().

## ~Dicts()

gdcm::Dicts::~Dicts | ( |  | ) |

## Dicts() [2/2]

gdcm::Dicts::Dicts | ( | const Dicts & | _val | ) |

delete

References Dicts().

## Member Function Documentation

## GetConstructorString()

const char * gdcm::Dicts::GetConstructorString | ( | ConstructorType | type | ) |

static protected

## GetCSAHeaderDict()

const CSAHeaderDict & gdcm::Dicts::GetCSAHeaderDict | ( |  | ) | const

Examples
  MrProtocol.cxx.

## GetDictEntry() [1/2]

const DictEntry & gdcm::Dicts::GetDictEntry | ( | const PrivateTag & | tag | ) | const

## GetDictEntry() [2/2]

const DictEntry & gdcm::Dicts::GetDictEntry | ( | const Tag & | tag,
|  | const char * | owner = nullptr ) const

THREAD SAFE.

works for both public and private dicts: owner is null for public dict

Warning
  owner need to be set to appropriate owner for call to work. see

Examples
  PublicDict.cxx, and TraverseModules.cxx.

## GetPrivateDict() [1/2]

PrivateDict & gdcm::Dicts::GetPrivateDict | ( |  | ) |

## GetPrivateDict() [2/2]

const PrivateDict & gdcm::Dicts::GetPrivateDict | ( |  | ) | const

## GetPublicDict()

const Dict & gdcm::Dicts::GetPublicDict | ( |  | ) | const

Examples
  GenAllVR.cxx, GenFakeIdentifyFile.cxx, PublicDict.cxx, and ReadAndPrintAttributes.cxx.

Referenced by IsEmpty().

## IsEmpty()

bool gdcm::Dicts::IsEmpty | ( |  | ) | const

inline

References GetPublicDict().

## LoadDefaults()

void gdcm::Dicts::LoadDefaults | ( |  | ) |

protected

## operator=()

Dicts & gdcm::Dicts::operator= | ( | const Dicts & | _val | ) |

delete

References Dicts().

## Friends And Related Symbol Documentation

## Global

friend class Global

friend

References Global.

Referenced by Global.

## operator<<

std::ostream & operator<< | ( | std::ostream & | _os,
|  | const Dicts & | d )

friend

References Dicts().

The documentation for this class was generated from the following file:

- gdcmDicts.h